package com.supervision.manage.controller;

import com.supervision.manage.service.DiseaseQuestionManageService;
import com.supervision.model.DiseaseQuestion;
import com.supervision.service.DiseaseQuestionService;
import com.supervision.vo.manage.DiseaseQuestionResVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@Api(tags = "疾病问题管理")
@RestController
@RequestMapping("diseaseQuestion")
@RequiredArgsConstructor
public class DiseaseQuestionManageController {


    private final DiseaseQuestionManageService diseaseQuestionManageService;

    @ApiOperation("保存问题库信息")
    @GetMapping("/save")
    public String saveQuestionList(@RequestParam DiseaseQuestion diseaseQuestion) {

        return null;

    }

    @ApiOperation("删除疾病")
    @DeleteMapping("/delete")
    public String deleteDiseaseQuestion(@RequestParam String id) {


        return "id";

    }



    @ApiOperation("根据疾病id查询问题库信息列表")
    @GetMapping("/queryListByDiseaseId")
    public List<DiseaseQuestionResVo> queryPageByDiseaseId(String diseaseId) {

        return diseaseQuestionManageService.queryPageByDiseaseId(diseaseId);

    }



}
